<?
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
require("fun.php");
require("version.php");
//echo "<div>Развличения<br/></a></div>";
$login=$row["login"];
$level=$row["level"];

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<card title=\"Фотогалерея!\">\n";
}else{
echo "<title>Галерея</title>";
echo "<style type=\"text/css\">";
echo "body { margin: auto; max-width: 500px; font: 12px Arial; color: #808080; background-color: #000000; }";
echo "a:link,a:visited { text-decoration: none; color: b0c4db; }";
echo "div { background-color: #202020; border-style:solid; border-width: 1px; }";
echo "img { vertical-align: middle; }";
echo "</style>";
echo "</head>";
echo "<body>";
}
switch($mod) {

default:
echo $fsize1;
echo "<div><p align=\"center\"><img src=\"fot.gif\" alt=\"L\"/> Фотки жителей чата!<br/></a></div>";
//echo $divide;
echo "В галерее оцениваются только ЛИЧНЫЕ фото.<br/>";
echo "Все иные картинки и аватары на усмотрение Администрации будут удалены.<br/>";
echo $divide;

$galery = mysql_query ("select count(id) as num from users where img!=''");
$foto = mysql_fetch_array($galery);
$kolfoto = $foto["num"];
echo "Всего фоток пользоватилей: <b>".$kolfoto."</b><br/>";
echo $divide; 

$galerym = mysql_query ("select count(id) as num from users where img!='' and sex ='1'");
$fotomr = mysql_fetch_array($galerym);
$fotom = $fotomr["num"];
echo "Парни: <b><a href=\"galery.php?mod=m&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\">".$fotom." фотьки</a></b><br/>";

echo $divide; 
$galeryz = mysql_query ("select count(id) as num from users where img!='' and sex ='2'");
$fotozr = mysql_fetch_array($galeryz);
$fotoz = $fotozr["num"];
echo "Девушки: <b><a href=\"galery.php?mod=zh&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\">".$fotoz." фотьки</a></b><br/>";

echo $fsize2;
break;

case 'm':
if ($ver=="wml")echo "<p align=\"left\">\n";
else echo "<div align=\"left\">\n";
echo $fsize1;
echo "<b>Фото Парней чата!</b></div>";
//echo $divide; 
echo $fsize2;
$galery = mysql_query ("select count(id) as num from users where img!='' and sex ='1';");
$foto = mysql_fetch_array($galery);
$num = $foto["num"]; 
if ($num == 0){
echo $fsize1;
echo "Нет фото парней в галерее.<br/>";
echo $fsize2;
mysql_close($link);
}else{
if(!isset($s))$s=0;
$mx=round(($num/10)+0.45);
if($s>$mx)$s=$mx;
if($s==0)$s=1;
$ot=(($s-1)*10)+1;
$do=$s*10;
if($do>$num)$do=$num;
$o=$ot-1;
$n=$ot;
if($do==0)$n=$o;
echo $fsize1;
echo "Показывает $n-$do из $num<br/>\n";
echo $divide;
echo $fsize2;
$r = mysql_query ("select id,login,img,votefoto from `users` where img!='' and sex ='1' order by votefoto desc limit $o,$do");
for ($i=$ot;$i<=$do;$i++){
$arr = mysql_fetch_array($r);
echo $fsize1;
$login=$arr['login'];
$usid=$arr['id'];
$img=$arr['img'];
if ($id==$usid){


echo ($i).") <a href=\"userfoto.php?usid=$usid&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\"><img src=\"photos/$img\" width=60 alt=\"foto\"/></a>Ник: <b>".$login."</a></b>| Голосов: ".$arr['votefoto']."<br/>"; 
}else{




echo ($i).") <a href=\"userfoto.php?usid=$usid&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\"><img src=\"photos/$img\" width=60 alt=\"foto\"/></a>Ник: <b>".$login."</b></a>| Голосов: ".$arr['votefoto']."<br/>"; 
}


echo $fsize2;
if ($id!=$usid){
echo $fsize1;
echo "<a href=\"galery.php?mod=votes&amp;nk=$usid&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Голосовать!</a>";
echo $fsize2; 
echo "<br/>"; 
if($level>6){
echo $fsize1;
echo "<b><a href=\"galery.php?mod=delfoto&amp;id={$id}&amp;pass={$pass}&amp;nk=$usid&amp;ref={$ref}\">Удалить фото</a></b><br/>";
echo $fsize2;
echo "<br/>";
}
}else{
echo $fsize1;
echo "<a href=\"my/?id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;mod=a2\">Кто голосовал за Вас?</a><br/>";
echo $fsize2; 
}
echo $fsize1;
echo $divide; 
echo $fsize2;
}                                               
mysql_close($link);
$next=$s+1;
$prev=$s-1;
if ($num>$do) {
$ot=(($next-1)*10)+1;
$do=$next*10;
if($do>$num)$do=$num;
echo $fsize1;
echo "<a href=\"galery.php?mod=m&amp;id={$id}&amp;pass={$pass}&amp;s=$next&amp;ref={$ref}\">&gt;&gt;$ot-$do&gt;&gt;</a><br/>\n";
echo $fsize2;
}
if($s>1) {
$ot=(($prev-1)*10)+1;
$do=$prev*10;
echo $fsize1;
echo "<a href=\"galery.php?mod=m&amp;id={$id}&amp;pass={$pass}&amp;s=$next&amp;ref={$ref}\">&lt;&lt;$ot-$do&lt;&lt;</a><br/>\n";
echo $fsize2;
}
}
break;

case 'zh':
echo "<div align=\"left\">\n";
echo $fsize1;
echo "<b>Фото Девушек чата!</b></div>";
//echo $divide; 
echo $fsize2;
$galery = mysql_query ("select count(id) as num from users where img!='' and sex ='2';");
$foto = mysql_fetch_array($galery);
$num = $foto["num"]; 
if ($num == 0){
echo $fsize1;
echo "Нет фото девушек в галерее.<br/>";
echo $fsize2;
mysql_close($link);
}else{
if(!isset($s))$s=0;
$mx=round(($num/10)+0.45);
if($s>$mx)$s=$mx;
if($s==0)$s=1;
$ot=(($s-1)*10)+1;
$do=$s*10;
if($do>$num)$do=$num;
$o=$ot-1;
$n=$ot;
if($do==0)$n=$o;
echo $fsize1;
echo "Показывает $n-$do из $num<br/>\n";
echo $divide;
echo $fsize2;
$r = mysql_query ("select id,login,img,votefoto from `users` where img!='' and sex ='2' order by votefoto desc limit $o,$do");
for ($i=$ot;$i<=$do;$i++){
$arr = mysql_fetch_array($r);
echo $fsize1;
$login=$arr['login'];
$usid=$arr['id'];
$img=$arr['img'];
$nk=$arr['nk'];
if ($id==$usid){

echo ($i).") <a href=\"userfoto.php?usid=$usid&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\"><img src=\"photos/$img\" width=60 alt=\"foto\"/></a>Ник: <b>".$login."</a></b>| Голосов: ".$arr['votefoto']."<br/>"; 
}else

{
echo ($i).") <a href=\"userfoto.php?usid=$usid&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\"><img src=\"photos/$img\" width=60 alt=\"foto\"/></a>Ник: <b>".$login."</b></a>| Голосов: ".$arr['votefoto']."<br/>"; 
}

echo $fsize2;
if ($id!=$usid){
echo $fsize1;
echo "<a href=\"galery.php?mod=votes&amp;nk=$usid&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Голосовать!</a>";
echo $fsize2; 
echo "<br/>"; 
if($level>6){
echo $fsize1;
echo "<b><a href=\"galery.php?mod=delfoto&amp;id={$id}&amp;pass={$pass}&amp;nk=$usid&amp;ref={$ref}\">Удалить фото</a></b><br/>";
echo $fsize2;
echo "<br/>";
}
}else{
echo $fsize1;
echo "<a href=\"my/?id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;mod=a2\">Кто голосовал за Вас?</a><br/>";
echo $fsize2; 
}
echo $fsize1;
echo $divide; 
echo $fsize2;
}                                               
mysql_close($link);
$next=$s+1;
$prev=$s-1;
if ($num>$do) {
$ot=(($next-1)*10)+1;
$do=$next*10;
if($do>$num)$do=$num;
echo $fsize1;
echo "<a href=\"galery.php?mod=zh&amp;id={$id}&amp;pass={$pass}&amp;s=$next&amp;ref={$ref}\">&gt;&gt;$ot-$do&gt;&gt;</a><br/>\n";
echo $fsize2;
}
if($s>1) {
$ot=(($prev-1)*10)+1;
$do=$prev*10;
echo $fsize1;
echo "<a href=\"galery.php?mod=zh&amp;id={$id}&amp;pass={$pass}&amp;s=$next&amp;ref={$ref}\">&lt;&lt;$ot-$do&lt;&lt;</a><br/>\n";
echo $fsize2;
}
}
break;

case 'votes':
if ($id==$nk){
if ($ver=="wml")echo "<p align=\"center\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1; 
echo "За себя Вы не можете голосовать!<br/>";
print $fsize2;
}else{
mysql_query ("Select * from golos where login='".$nk."' and who='".$id."'");
if (mysql_affected_rows()!=0){
if ($ver=="wml")echo "<p align=\"center\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1;
echo "Вы уже голосовали за это фото. Голос не принят.<br/>";
echo $fsize2;
} else {
$q = mysql_query("select login,votefoto from users where id='".$nk."';");
$data = mysql_fetch_array($q);
$counter = $data['votefoto'];
$login = $data['login'];
$counter2 = $counter+1;
mysql_query ("update users set votefoto='".$counter2."' where id='".$nk."';");
mysql_query ("INSERT INTO golos SET login = '".$nk."', who = '".$id."'"); 
if ($ver=="wml")echo "<p align=\"center\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1;
echo "Ваш голос принят!<br/>";
echo $fsize2;
mysql_close ($link);
}
}
break;

case 'delfoto':
echo "<div align=\"center\">\n";
if($level>6){
echo $fsize1; 
$s = @mysql_query ("Select img from users where id='".$nk."' LIMIT 1;");
$rr = @mysql_fetch_array ($s);
$fotos = $rr["img"];
$ras=explode(".", $fotos);
$types=$ras[1];



if (!file_exists("photos/".$nk.".".$types."")){
echo "У Вас не установлено фото!<br/>\n";
}else{
//if (!ctype_digit($nk)) { header("Location: index.php"); die; }
if(@mysql_query ("Update users set img ='' where id ='".$nk."';")){
unlink ("photos/".$nk.".".$types."");
echo "Фото успешно удалено.<br/>";

} else {
print "Ошибка удаления фото.<br/>";
}
}
echo $fsize2;
}else{
echo $fsize1; 
echo "У Вас недостаточно прав доступа.<br/>";
echo $fsize2;
}
mysql_close ($link);
break;
}
echo $fsize1;
echo $divide;
if($mod) 
echo "<div><p align=\"center\"><a href=\"galery.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">В Галерею</a><br/>\n";
echo "<a href=\"room.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">В чатиг</a><br/>";
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожка</a></div>";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
?>